Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.shape.random
Class RandomPointsInGridBuilder

    java.lang.Object
      com.vividsolutions.jts.shape.GeometricShapeBuilder
          com.vividsolutions.jts.shape.random.RandomPointsInGridBuilder

    public class RandomPointsInGridBuilder

extends GeometricShapeBuilder

Creates random point sets where the points are constrained to lie in the cells of a grid.

Author:
  mbdavis

Field Summary

Fields inherited from class com.vividsolutions.jts.shape.GeometricShapeBuilder
`extent, geomFactory, numPts`

Constructor Summary
`RandomPointsInGridBuilder()` Create a builder which will create shapes using the default `GeometryFactory`.
`RandomPointsInGridBuilder(GeometryFactory geomFact)` Create a builder which will create shapes using the given `GeometryFactory`.

Method Summary
`Geometry` | `getGeometry()` Gets the `MultiPoint` containing the generated point
`void` | `setConstrainedToCircle(boolean isConstrainedToCircle)` Sets whether generated points are constrained to lie within a circle contained within each grid cell.
`void` | `setGutterFraction(double gutterFraction)` Sets the fraction of the grid cell side which will be treated as a gutter, in which no points will be created.

Methods inherited from class com.vividsolutions.jts.shape.GeometricShapeBuilder
`createCoord, getCentre, getDiameter, getExtent, getRadius, getSquareBaseLine, getSquareExtent, setExtent, setNumPoints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomPointsInGridBuilder

    public RandomPointsInGridBuilder()

  Create a builder which will create shapes using the default `GeometryFactory`.

### RandomPointsInGridBuilder

    public RandomPointsInGridBuilder(GeometryFactory geomFact)

  Create a builder which will create shapes using the given `GeometryFactory`.

  Parameters:
    `geomFact` - the factory to use

Method Detail

### setConstrainedToCircle

    public void setConstrainedToCircle(boolean isConstrainedToCircle)

  Sets whether generated points are constrained to lie within a circle contained within each grid cell. This provides greater separation between points in adjacent cells.

  The default is to not be constrained to a circle.

  Parameters:
    `isConstrainedToCircle` -

### setGutterFraction

    public void setGutterFraction(double gutterFraction)

  Sets the fraction of the grid cell side which will be treated as a gutter, in which no points will be created. The provided value is clamped to the range [0.0, 1.0].

  Parameters:
    `gutterFraction` -

### getGeometry

    public Geometry getGeometry()

  Gets the `MultiPoint` containing the generated point

  Specified by:
    `getGeometry` in class `GeometricShapeBuilder`
  Returns:
    a MultiPoint

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD